plugins {
	id 'org.springframework.boot' version '2.7.0'
	id 'io.spring.dependency-management' version '1.0.11.RELEASE'
	id 'java'
}

group = 'com.ffii'
version = '0.0.1-SNAPSHOT'
sourceCompatibility = '11'

repositories {
	mavenCentral()
	maven {
		url 'https://jaspersoft.jfrog.io/jaspersoft/third-party-ce-artifacts/'
	}
}

dependencies {
	implementation 'org.springframework.boot:spring-boot-starter-data-jpa'
	implementation 'org.springframework.boot:spring-boot-starter-security'
	implementation 'org.springframework.boot:spring-boot-starter-validation'
	implementation 'org.springframework.boot:spring-boot-starter-web'
	implementation 'org.springframework.boot:spring-boot-starter-mail'
	implementation 'org.springframework.boot:spring-boot-starter-freemarker'
	implementation 'org.liquibase:liquibase-core'
	runtimeOnly 'mysql:mysql-connector-java'
	testImplementation 'org.springframework.boot:spring-boot-starter-test'
	testImplementation 'org.springframework.security:spring-security-test'

	def apachePoi = '5.2.2'
	implementation group: 'org.apache.poi',	name: 'poi',		version: apachePoi
	implementation group: 'org.apache.poi',	name: 'poi-ooxml',	version: apachePoi

	implementation group: 'org.apache.commons', name: 'commons-lang3', version: '3.12.0'
	implementation group: 'org.apache.commons', name: 'commons-text', version: '1.9'
	implementation group: 'org.apache.tika', name: 'tika-core', version: '2.4.1'
	implementation 'net.sf.jasperreports:jasperreports:6.19.1'

	implementation group: 'org.springdoc', name: 'springdoc-openapi-ui', version: '1.6.9'

	implementation fileTree(dir: 'libs', include: '*.jar');
}

tasks.named('test') {
	useJUnitPlatform()
}
